//     The Brookshear Machine
//     Copyright (C) 2004 E. Rogan Creswick
//
//     This program is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


/*
*
*	Compiler for application/applet program.
*
*	Last modified: 1/29/2000, 7:31 PM by Rogan.
*
*	1/29/00 - Made rootObj a global ( static Frame Globals.rootObj)
*/

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class Compiler{

    //private Frame rootObj;

    public Compiler(Frame obj){
	Toolkit tk = Toolkit.getDefaultToolkit();
	Dimension d = tk.getScreenSize();

	int screenHeight = d.height;
        int screenWidth = d.width;

	Globals.rootObj = obj;
	Globals.rootObj.setBounds(screenWidth / 4, screenHeight / 4, 800, 550);  //sets window size to proper size.
	Globals.mainGUI = new CompilerGUI(Globals.rootObj);
	Globals.rootObj.setLayout(new BorderLayout());
	Globals.rootObj.add(Globals.mainGUI,"Center");

	obj.addWindowListener(new WindowAdapter(){
		public void windowClosing(WindowEvent e)
		{
		    try{
			System.exit(0); // closes frame if application
		    }catch(Exception ex){  // an exception is thrown if an Applet calls System.exit()
			e.getWindow().dispose(); // applet Frame is closed.
		    }


		}});



	Globals.rootObj.setTitle(Globals.TITLE);

	begin();
    }// end Compiler()

    public static void main(String args[]){

	Compiler rootCompiler = new Compiler(new Frame());

    }// end main


    //******************************************
    //	Main Program begins here, use "this" for
    //	the root graphics container, rootObj for
    //	manipulation of frame/applet.
    //
    //******************************************

    void begin()
    {
	Globals.mainGUI.initWidgits();
	Globals.rootObj.setVisible(true);
	Globals.mainGUI.addActionStuff();

	//Globals.programCounterLabel.setText("00");
    }// end begin()

}// end class Compiler



